REGFI_DATA::_regfi_data_interpreted Union Reference

These items represent interpreted versions of the REGFI_DATA::raw field. More...

## Data Fields

uint8_t * | none
| REG_NONE. More...
uint8_t * | string
| REG_SZ. More...
uint8_t * | expand_string
| REG_EXPAND_SZ. More...
uint8_t * | binary
| REG_BINARY. More...
uint32_t | dword
| REG_DWORD.
uint32_t | dword_be
| REG_DWORD_BE.
uint8_t * | link
| REG_LINK. More...
uint8_t ** | multiple_string
| REG_MULTI_SZ. More...
uint64_t | qword
| REG_QWORD.
uint8_t * | resource_list
| REG_RESOURCE_LIST. More...
uint8_t * | full_resource_descriptor
| REG_FULL_RESOURCE_DESCRIPTOR. More...
uint8_t * | resource_requirements_list
| REG_RESOURCE_REQUIREMENTS_LIST. More...

## Detailed Description

These items represent interpreted versions of the REGFI_DATA::raw field.

Only use the appropriate member according to the REGFI_DATA::type field. In the event of an unknown type, use only the REGFI_DATA::raw field.

## Field Documentation

## none

uint8_t* REGFI_DATA::_regfi_data_interpreted::none

REG_NONE.

Stored as a raw buffer. Use REGFI_DATA::interpreted_size to determine length.

## string

uint8_t* REGFI_DATA::_regfi_data_interpreted::string

REG_SZ.

Stored as a NUL terminated string. Converted to the specified REGFI_ENCODING.

## expand_string

uint8_t* REGFI_DATA::_regfi_data_interpreted::expand_string

REG_EXPAND_SZ.

Stored as a NUL terminated string. Converted to the specified REGFI_ENCODING.

## binary

uint8_t* REGFI_DATA::_regfi_data_interpreted::binary

REG_BINARY.

Stored as a raw buffer. Use REGFI_DATA::interpreted_size to determine length.

## link

uint8_t* REGFI_DATA::_regfi_data_interpreted::link

REG_LINK.

Stored as a NUL terminated string. Converted to the specified REGFI_ENCODING.

## multiple_string

uint8_t** REGFI_DATA::_regfi_data_interpreted::multiple_string

REG_MULTI_SZ.

Stored as a list of uint8_t* pointers, terminated with a NULL pointer. Each string element in the list is NUL terminated, and the character set is determined by the specified REGFI_ENCODING.

## resource_list

uint8_t* REGFI_DATA::_regfi_data_interpreted::resource_list

REG_RESOURCE_LIST.

Stored as a raw buffer. Use REGFI_DATA::interpreted_size to determine length.

## full_resource_descriptor

uint8_t* REGFI_DATA::_regfi_data_interpreted::full_resource_descriptor

REG_FULL_RESOURCE_DESCRIPTOR.

Stored as a raw buffer. Use REGFI_DATA::interpreted_size to determine length.

## resource_requirements_list

uint8_t* REGFI_DATA::_regfi_data_interpreted::resource_requirements_list

REG_RESOURCE_REQUIREMENTS_LIST.

Stored as a raw buffer. Use REGFI_DATA::interpreted_size to determine length.

The documentation for this union was generated from the following file:

- regfi.h